Core - Bug # 61750

Epic # 58282 (Accepted): Workspaces Workpackage #2
Story # 58284 (New): Bug fixes & Behaviour

Status: Under Review Priority: Should have
Author: Oliver Hader Category: Workspaces
Created: 2014-09-19 Assigned To: Oliver Hader
Updated: 2015-03-11 Due date:

TYPO3 Version: 6.2

PHP Version: 5.3

Complexity: nightmare

Is Regression: No

Sprint Focus:

Subject: Child sorting is lost after publishing workspace data

Description

If sorting of IRRE child records is changed in a workspace and published, the sorting of child records is not published along.

This behaviour could be solved by using proper move placeholders for IRRE child records as well, but conflicts with the possibility to
define a custom sorting field in the parent entity of the relation construct. Besides that, sorting values are not published in any case.
That's why a post-processing of IRRE children is required for sorting.

Related issues:
related to Core - Task # 56376: Invalid relations of IRRE records in workspaces Resolved 2011-08-26

History

#1 - 2014-09-19 19:27 - Oliver Hader

PoC available: https:/github.com/ohader/TYPO3.CMS/commit/1ab3775a863c6f5d62767c9a2b00ad7971e68e50

#2 - 2014-09-19 19:27 - Oliver Hader
- Status changed from New to Accepted

#3 - 2014-09-20 15:48 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32894

#4 - 2015-01-23 11:33 - Mathias Schreiber
- Target version changed from next-patchlevel to 7.5

#5 - 2015-03-11 14:48 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32894
